/*---------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
var shiki_grammars_1 = require("shiki-grammars");
var onigLibs_1 = require("../onigLibs");
var SimpleResolver = /** @class */ (function () {
    function SimpleResolver() {
    }
    SimpleResolver.prototype.loadGrammar = function (scopeName) {
        var foundGrammar = shiki_grammars_1.GRAMMARS.find(function (g) { return g.scopeName === scopeName; });
        if (!foundGrammar) {
            return Promise.resolve(null);
        }
        return Promise.resolve(foundGrammar.grammar);
    };
    SimpleResolver.prototype.getOnigLib = function () {
        return onigLibs_1.getOnigasm();
    };
    return SimpleResolver;
}());
exports.SimpleResolver = SimpleResolver;
//# sourceMappingURL=simpleResolver.js.map